<p align="center">
  <a href="https://getstisla.com">
    <img src="https://avatars2.githubusercontent.com/u/45754626?s=75&v=4" alt="Stisla logo" width="75" height="75">
  </a>
</p>

<h1 align="center">Stisla</h1>

<p>
  Stisla is a Free Bootstrap Admin Template which will help you to speed up your project and design your own dashboard UI. Users will love it.
</p>
<br>
<span align="center">

[![All Contributors](https://img.shields.io/badge/all_contributors-22-orange.svg?style=flat-square)](#contributors-)
![GitHub last commit](https://img.shields.io/github/last-commit/stisla/stisla.svg)
![GitHub repo size in bytes](https://img.shields.io/github/repo-size/badges/shields.svg)
[![License](https://img.shields.io/github/license/stisla/stisla.svg)](LICENSE)
![npm version](https://badge.fury.io/js/yarn.svg)

</span>

<br>

<p align="center">
  <a href="https://getstisla.com">Homepage</a>
  •
  <a href="https://getstisla.com/getting-started">Getting Started</a>
  •
  <a href="https://demo.getstisla.com" target="_new">Demo</a>
  •
  <a href="https://getstisla.com/docs">Documentation</a>
  •
  <a href="https://getstisla.com/blog">Blog</a>
  •
  <a href="https://getstisla.com/support">Issue</a>
</p>

<br>

[![Stisla Preview](https://camo.githubusercontent.com/2135e0f6544a7286a3412cdc3df32d47fc91b045/68747470733a2f2f692e6962622e636f2f3674646d6358302f323031382d31312d31312d31352d33352d676574737469736c612d636f6d2e706e67)](https://getstisla.com)


## Table of contents

- [Status](#status)
- [Quick start](#quick-start)
- [Roadmap](#roadmap)
- [Integrates](#integrates)
- [Creator](#creator)
- [Contributors](#contributors)
- [Contributing](#contributing)
- [Showcase](#showcase)
- [License](#license)
- [Supported By BrowserStack](#supported-by-browserstack)


## Quick start

Several quick start options are available:

- Clone the repo: `git clone https://github.com/stisla/stisla.git`
- Run `cd` to the newly created `/stisla` directory
- Install [yarn](https://yarnpkg.com) first if you don't have it in your machine
- Run the `yarn` command
- Done

Or if you're Indonesian, you can watch my video [here](https://www.youtube.com/watch?v=dvnqtOUvGFc)

Read the [Getting started page](https://getstisla.com/docs) for information on the framework contents, templates and examples, and more.

## Development Guide
- Clone the repo: `git clone https://github.com/stisla/stisla.git` to your local path
- Make sure you have [npm](https://www.npmjs.com) or [yarn](https://yarnpkg.com) installed to your machine
- Run the `stisla-dev` command to install production dependencies
- Run the `dev` command to start developing

## Roadmap
You can find the Stisla road map here: [Stisla Roadmap](https://trello.com/b/M8TMnehE/stisla-roadmap)


## Integrates
- [Rails](https://github.com/SunDi3yansyah/stisla-rails)
- [CodeIgniter](https://github.com/KhidirDotID/stisla-codeigniter)
- [Laravel](https://github.com/rehmatworks/stisla-laravel)
- [Laravel UI Preset](https://github.com/poteto-dev/laravel-ui-stisla)
- [Jekyll](https://github.com/SunDi3yansyah/stisla-jekyll)
- [YII2](https://github.com/piantgrunger/yii2-stisla)

- Django (let's contribute)
- and more...

## Creator
Stisla is created by [Nauval](http://nauv.al) ([Twitter](https://twitter.com/mhdnauvalazhar)). [Support](https://www.buymeacoffee.com/mhd) this guy!

## Contributors
Stisla is better because of the [contributors](https://github.com/stisla/stisla/graphs/contributors). Thank them too.

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/muhammaddicky"><img src="https://avatars0.githubusercontent.com/u/25713287?v=4" width="100px;" alt=""/><br /><sub><b>Muhammad Dicky</b></sub></a><br /><a href="#design-muhammaddicky" title="Design">🎨</a></td>
    <td align="center"><a href="http://weibo.com/jkweiyi"><img src="https://avatars1.githubusercontent.com/u/16080182?v=4" width="100px;" alt=""/><br /><sub><b>Jokin</b></sub></a><br /><a href="#design-jokin1999" title="Design">🎨</a></td>
    <td align="center"><a href="http://www.barndev.com"><img src="https://avatars2.githubusercontent.com/u/10700286?v=4" width="100px;" alt=""/><br /><sub><b>Muhammad Ihsan</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=muhammad-ihsan" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/dubnm"><img src="https://avatars3.githubusercontent.com/u/3620552?v=4" width="100px;" alt=""/><br /><sub><b>Trevor</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=dubnm" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/ranzeplay"><img src="https://avatars3.githubusercontent.com/u/43675876?v=4" width="100px;" alt=""/><br /><sub><b>Play_D</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=ranzeplay" title="Documentation">📖</a></td>
    <td align="center"><a href="https://rizkyhidayat.id"><img src="https://avatars0.githubusercontent.com/u/25103643?v=4" width="100px;" alt=""/><br /><sub><b>rizkyyangpalsu</b></sub></a><br /><a href="#platform-rizkyyangpalsu" title="Packaging/porting to new platform">📦</a></td>
    <td align="center"><a href="https://tackeyy.com/"><img src="https://avatars3.githubusercontent.com/u/8916877?v=4" width="100px;" alt=""/><br /><sub><b>Yusuke Takita</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=tackeyy" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/mariocalin"><img src="https://avatars0.githubusercontent.com/u/16624614?v=4" width="100px;" alt=""/><br /><sub><b>Mario</b></sub></a><br /><a href="#design-mariocalin" title="Design">🎨</a></td>
    <td align="center"><a href="http://iqbalaqaba.github.io"><img src="https://avatars3.githubusercontent.com/u/20835372?v=4" width="100px;" alt=""/><br /><sub><b>Iqbal</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=iqbalaqaba" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/cesarlopes"><img src="https://avatars0.githubusercontent.com/u/1175019?v=4" width="100px;" alt=""/><br /><sub><b>César Lopes</b></sub></a><br /><a href="#design-cesarlopes" title="Design">🎨</a></td>
    <td align="center"><a href="https://rehmat.works"><img src="https://avatars2.githubusercontent.com/u/23554187?v=4" width="100px;" alt=""/><br /><sub><b>Rehmat Alam</b></sub></a><br /><a href="#platform-rehmatworks" title="Packaging/porting to new platform">📦</a></td>
    <td align="center"><a href="https://github.com/stefanturcanu"><img src="https://avatars0.githubusercontent.com/u/6572745?v=4" width="100px;" alt=""/><br /><sub><b>Stefan Turcanu</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=stefanturcanu" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/mehmetmenengec"><img src="https://avatars2.githubusercontent.com/u/8948335?v=4" width="100px;" alt=""/><br /><sub><b>Mehmet MENENGEÇ</b></sub></a><br /><a href="#design-mehmetmenengec" title="Design">🎨</a></td>
    <td align="center"><a href="https://github.com/lkloon123"><img src="https://avatars2.githubusercontent.com/u/21114981?v=4" width="100px;" alt=""/><br /><sub><b>NeoSon</b></sub></a><br /><a href="#design-lkloon123" title="Design">🎨</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/jenkijo"><img src="https://avatars1.githubusercontent.com/u/32048650?v=4" width="100px;" alt=""/><br /><sub><b>Phong Truong</b></sub></a><br /><a href="#design-jenkijo" title="Design">🎨</a></td>
    <td align="center"><a href="https://github.com/frobinsonj"><img src="https://avatars3.githubusercontent.com/u/16726902?v=4" width="100px;" alt=""/><br /><sub><b>Freddy Robinson</b></sub></a><br /><a href="#design-frobinsonj" title="Design">🎨</a></td>
    <td align="center"><a href="https://alfiannaufal.com"><img src="https://avatars1.githubusercontent.com/u/15101734?v=4" width="100px;" alt=""/><br /><sub><b>Alfian Naufal</b></sub></a><br /><a href="#platform-piantgrunger" title="Packaging/porting to new platform">📦</a></td>
    <td align="center"><a href="http://achmiral.id"><img src="https://avatars0.githubusercontent.com/u/10906059?v=4" width="100px;" alt=""/><br /><sub><b>Miral Achmed</b></sub></a><br /><a href="#content-achmiral" title="Content">🖋</a></td>
    <td align="center"><a href="http://david.polynar.hu"><img src="https://avatars1.githubusercontent.com/u/1795922?v=4" width="100px;" alt=""/><br /><sub><b>David Polynar</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=polynar" title="Code">💻</a></td>
    <td align="center"><a href="http://tarhche.ir"><img src="https://avatars3.githubusercontent.com/u/6291970?v=4" width="100px;" alt=""/><br /><sub><b>mahdikhanzadi</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=khanzadimahdi" title="Code">💻</a></td>
    <td align="center"><a href="https://medium.com/omarelgabrys-blog/"><img src="https://avatars3.githubusercontent.com/u/9262504?v=4" width="100px;" alt=""/><br /><sub><b>OMAR ELGABRY</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=OmarElGabry" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://sundi3yansyah.com"><img src="https://avatars2.githubusercontent.com/u/3952281?v=4" width="100px;" alt=""/><br /><sub><b>Cahyadi Triyansyah</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=SunDi3yansyah" title="Code">💻</a></td>
    <td align="center"><a href="https://harshal.one"><img src="https://avatars0.githubusercontent.com/u/20720521?s=460&v=4" width="100px;" alt=""/><br /><sub><b>Harshal Parekh</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=Harshal96" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/ppabcd"><img src="https://avatars0.githubusercontent.com/u/7419422?s=460&u=a8afa0f92608d126296e79f2ff0314a8fc794fd1&v=4" width="100px;" alt=""/><br /><sub><b>Reza Juliandri</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=ppabcd" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/shailesh-ladumor"><img src=https://avatars.githubusercontent.com/u/16555999?v=4" width="100px;" alt=""/><br /><sub><b>Shailesh Ladumor </b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=shailesh-ladumor" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/masif088"><img src=https://avatars.githubusercontent.com/u/43848973?v=4" width="100px;" alt=""/><br /><sub><b>masif088</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=masif088" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/BlazerYoo"><img src=https://avatars.githubusercontent.com/u/69565038?v=4" width="100px;" alt=""/><br /><sub><b>Boaz Yoo</b></sub></a><br /><a href="https://github.com/stisla/stisla/commits?author=BlazerYoo" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

## Contributing
Want to help Stisla get better? Let's contribute and follow our [contribution guide](https://github.com/stisla/stisla/blob/master/CONTRIBUTING.md).

## Showcase

- [app.whatspie.com](https://app.whatspie.com) - Enterprise ready unofficial WhatsApp API and BOT Service, allow you to sending notification to customer using WhatsApp API from your App
- [kredibel.co.id](https://kredibel.co.id)- Kredibel is a site that can identify whether someone has the potential to commit fraud or not

## Tutorials
- [Stisla Introduction by Nauval](https://www.youtube.com/watch?v=dvnqtOUvGFc) (🇮🇩)
- [How to setup Stisla in Laravel by Laravel Package Tutorial](https://www.youtube.com/playlist?list=PL0wCC44AhrC14hkSMdczlVaZvnD0WSdGv) (🏴󠁧󠁢󠁥󠁮󠁧󠁿)
- [Integrate Stisla with Laravel by Mulai Dari NULL](https://www.youtube.com/watch?v=4-kdAxALCPc) (🇮🇩)
- [Integrate Stisla with CodeIgniter 4 by Juvinal Man](https://www.youtube.com/watch?v=np4LsQNcJbg) (🇮🇩)
- [Integrate Stisla with CodeIgniter 4 by YukCoding Media](https://www.youtube.com/watch?v=Kre5kJIufhw) (🇮🇩)

## License
Stisla is under the [MIT License](LICENSE)

## Supported by BrowserStack
Thanks to BrowserStack for their support of this open-source project.

<a href="https://www.browserstack.com">
  <img src="https://getstisla.com/svg/Browserstack-logo.svg" alt="BrowserStack" width="250">
</a>
